module R10.Svg.Lists exposing (listIcons, listIconsExtra, listLogos, listLogosExtra, listOthers)

{-| These are just lists of icons to generate the live guidelines.

@docs listIcons, listIconsExtra, listLogos, listLogosExtra, listOthers

-}

import Element
import R10.Svg.Icons
import R10.Svg.IconsExtra
import R10.Svg.Logos
import R10.Svg.LogosExtra
import R10.Svg.Others



-- LISTS


{-| -}
listOthers : Int -> String -> List ( Element.Element msg, String )
listOthers size colorString =
    [ ( R10.Svg.Others.mountain size, "mountain" )
    , ( R10.Svg.Others.mobileWithPerson "#fc0" size, "mobileWithPerson" )
    ]


{-| -}
listLogosExtra : Int -> String -> List ( Element.Element msg, String )
listLogosExtra size colorString =
    [ ( R10.Svg.LogosExtra.elm size, "elm" )
    , ( R10.Svg.LogosExtra.elm_monocrome colorString size, "elm_monocrome" )
    , ( R10.Svg.LogosExtra.apple size, "apple" )
    , ( R10.Svg.LogosExtra.apple_monochrome colorString size, "apple_monochrome" )
    , ( R10.Svg.LogosExtra.facebook size, "facebook" )
    , ( R10.Svg.LogosExtra.facebook_monochrome colorString size, "facebook_monochrome" )
    , ( R10.Svg.LogosExtra.google size, "google" )
    , ( R10.Svg.LogosExtra.google_monochrome colorString size, "google_monochrome" )
    , ( R10.Svg.LogosExtra.microsoft size, "microsoft" )
    , ( R10.Svg.LogosExtra.microsoft_monochrome colorString size, "microsoft_monochrome" )
    , ( R10.Svg.LogosExtra.pcHome24hours size, "pcHome24hours" )
    , ( R10.Svg.LogosExtra.pcHome24hours_monochrome colorString size, "pcHome24hours_monochrome" )
    , ( R10.Svg.LogosExtra.github colorString size, "github" )
    ]


{-| -}
listLogos : Int -> String -> List ( Element.Element msg, String )
listLogos size colorString =
    [ ( R10.Svg.Logos.authenticator colorString size, "authenticator" )
    , ( R10.Svg.Logos.authenticator_monocrome colorString size, "authenticator_monocrome" )
    , ( R10.Svg.Logos.r colorString size, "r" )
    , ( R10.Svg.Logos.rakuten_ colorString size, "rakuten" )
    , ( R10.Svg.Logos.rakutenMarketing colorString size, "rakutenMarketing" )
    , ( R10.Svg.Logos.rakutenRagri colorString size, "rakutenRagri" )
    , ( R10.Svg.Logos.rakutenReady colorString size, "rakutenReady" )
    ]


{-| -}
listIconsExtra : Int -> String -> List ( Element.Element msg, String )
listIconsExtra size colorString =
    [ ( R10.Svg.IconsExtra.add colorString size, "add" )
    , ( R10.Svg.IconsExtra.bug colorString size, "bug" )
    , ( R10.Svg.IconsExtra.arrowBack colorString size, "arrowBack" )
    , ( R10.Svg.IconsExtra.arrowForward colorString size, "arrowForward" )
    , ( R10.Svg.IconsExtra.grid colorString size, "grid" )
    , ( R10.Svg.IconsExtra.play colorString size, "play" )
    , ( R10.Svg.IconsExtra.pause colorString size, "pause" )
    , ( R10.Svg.IconsExtra.close colorString size, "close" )
    , ( R10.Svg.IconsExtra.clear colorString size, "clear" )
    , ( R10.Svg.IconsExtra.submit colorString size, "submit" )
    , ( R10.Svg.IconsExtra.love colorString size, "love" )
    , ( R10.Svg.IconsExtra.respect colorString size, "respect" )
    , ( R10.Svg.IconsExtra.organize colorString size, "organize" )
    , ( R10.Svg.IconsExtra.customSupport colorString size, "customSupport" )
    , ( R10.Svg.IconsExtra.card colorString size, "card" )
    , ( R10.Svg.IconsExtra.highFive colorString size, "highFive" )
    , ( R10.Svg.IconsExtra.moon colorString size, "moon" )
    , ( R10.Svg.IconsExtra.paperPlane colorString size, "paperPlane" )
    , ( R10.Svg.IconsExtra.internet colorString size, "internet" )
    , ( R10.Svg.IconsExtra.email colorString size, "email" )
    , ( R10.Svg.IconsExtra.waveHand colorString size, "waveHand" )
    , ( R10.Svg.IconsExtra.training colorString size, "training" )
    , ( R10.Svg.IconsExtra.startup colorString size, "startup" )
    , ( R10.Svg.IconsExtra.fireworks colorString size, "fireworks" )
    , ( R10.Svg.IconsExtra.alarmClock colorString size, "alarmClock" )
    , ( R10.Svg.IconsExtra.conversation colorString size, "conversation" )
    , ( R10.Svg.IconsExtra.sun colorString size, "sun" )
    , ( R10.Svg.IconsExtra.checkBold_ colorString size, "checkBold_" )
    , ( R10.Svg.IconsExtra.keyboardArrowDown colorString size, "keyboardArrowDown" )
    , ( R10.Svg.IconsExtra.delete colorString size, "delete" )
    , ( R10.Svg.IconsExtra.restore colorString size, "restore" )
    , ( R10.Svg.IconsExtra.keyboardArrowUp colorString size, "keyboardArrowUp" )
    , ( R10.Svg.IconsExtra.search colorString size, "search" )
    , ( R10.Svg.IconsExtra.more_vert_ colorString size, "more_vert_" )
    , ( R10.Svg.IconsExtra.aToZ colorString size, "aToZ" )
    ]


{-| -}
listIcons : Int -> String -> List ( Element.Element msg, String )
listIcons size colorString =
    [ ( R10.Svg.Icons.arrow_down_l colorString size, "arrow_down_l" )
    , ( R10.Svg.Icons.arrow_left_l colorString size, "arrow_left_l" )
    , ( R10.Svg.Icons.arrow_right_l colorString size, "arrow_right_l" )
    , ( R10.Svg.Icons.arrow_link_l colorString size, "arrow_link_l" )
    , ( R10.Svg.Icons.arrow_up_l colorString size, "arrow_up_l" )
    , ( R10.Svg.Icons.barcode_f colorString size, "barcode_f" )
    , ( R10.Svg.Icons.barcode_l colorString size, "barcode_l" )
    , ( R10.Svg.Icons.blockquote_left colorString size, "blockquote_left" )
    , ( R10.Svg.Icons.blockquote_right colorString size, "blockquote_right" )
    , ( R10.Svg.Icons.browsing_history_f colorString size, "browsing_history_f" )
    , ( R10.Svg.Icons.browsing_history_l colorString size, "browsing_history_l" )
    , ( R10.Svg.Icons.building_f colorString size, "building_f" )
    , ( R10.Svg.Icons.building_l colorString size, "building_l" )
    , ( R10.Svg.Icons.bus_f colorString size, "bus_f" )
    , ( R10.Svg.Icons.bus_l colorString size, "bus_l" )
    , ( R10.Svg.Icons.button_chevron_left_f colorString size, "button_chevron_left_f" )
    , ( R10.Svg.Icons.button_chevron_left_l colorString size, "button_chevron_left_l" )
    , ( R10.Svg.Icons.button_chevron_right_f colorString size, "button_chevron_right_f" )
    , ( R10.Svg.Icons.button_chevron_right_l colorString size, "button_chevron_right_l" )
    , ( R10.Svg.Icons.button_minus_f colorString size, "button_minus_f" )
    , ( R10.Svg.Icons.button_minus_l colorString size, "button_minus_l" )
    , ( R10.Svg.Icons.button_plus_f colorString size, "button_plus_f" )
    , ( R10.Svg.Icons.button_plus_l colorString size, "button_plus_l" )
    , ( R10.Svg.Icons.calculator_f colorString size, "calculator_f" )
    , ( R10.Svg.Icons.calculator_l colorString size, "calculator_l" )
    , ( R10.Svg.Icons.calendar_f colorString size, "calendar_f" )
    , ( R10.Svg.Icons.calendar_l colorString size, "calendar_l" )
    , ( R10.Svg.Icons.campaign_f colorString size, "campaign_f" )
    , ( R10.Svg.Icons.campaign_l colorString size, "campaign_l" )
    , ( R10.Svg.Icons.car_f colorString size, "car_f" )
    , ( R10.Svg.Icons.car_l colorString size, "car_l" )
    , ( R10.Svg.Icons.cart_f colorString size, "cart_f" )
    , ( R10.Svg.Icons.cart_l colorString size, "cart_l" )
    , ( R10.Svg.Icons.change_order_l colorString size, "change_order_l" )
    , ( R10.Svg.Icons.check colorString size, "check" )
    , ( R10.Svg.Icons.chevron_left colorString size, "chevron_left" )
    , ( R10.Svg.Icons.chevron_right colorString size, "chevron_right" )
    , ( R10.Svg.Icons.cloud_f colorString size, "cloud_f" )
    , ( R10.Svg.Icons.cloud_l colorString size, "cloud_l" )
    , ( R10.Svg.Icons.code_f colorString size, "code_f" )
    , ( R10.Svg.Icons.code_l colorString size, "code_l" )
    , ( R10.Svg.Icons.comment_f colorString size, "comment_f" )
    , ( R10.Svg.Icons.comment_l colorString size, "comment_l" )
    , ( R10.Svg.Icons.compare_f colorString size, "compare_f" )
    , ( R10.Svg.Icons.compare_l colorString size, "compare_l" )
    , ( R10.Svg.Icons.coupon_f colorString size, "coupon_f" )
    , ( R10.Svg.Icons.coupon_l colorString size, "coupon_l" )
    , ( R10.Svg.Icons.credit_card_f colorString size, "credit_card_f" )
    , ( R10.Svg.Icons.credit_card_l colorString size, "credit_card_l" )
    , ( R10.Svg.Icons.currency_f colorString size, "currency_f" )
    , ( R10.Svg.Icons.currency_l colorString size, "currency_l" )
    , ( R10.Svg.Icons.delete_f colorString size, "delete_f" )
    , ( R10.Svg.Icons.delete_l colorString size, "delete_l" )
    , ( R10.Svg.Icons.delivery_f colorString size, "delivery_f" )
    , ( R10.Svg.Icons.delivery_l colorString size, "delivery_l" )
    , ( R10.Svg.Icons.desktop_f colorString size, "desktop_f" )
    , ( R10.Svg.Icons.desktop_l colorString size, "desktop_l" )
    , ( R10.Svg.Icons.domestic_area_f colorString size, "domestic_area_f" )
    , ( R10.Svg.Icons.domestic_area_l colorString size, "domestic_area_l" )
    , ( R10.Svg.Icons.download_f colorString size, "download_f" )
    , ( R10.Svg.Icons.download_l colorString size, "download_l" )
    , ( R10.Svg.Icons.eye_ban_f colorString size, "eye_ban_f" )
    , ( R10.Svg.Icons.eye_ban_l colorString size, "eye_ban_l" )
    , ( R10.Svg.Icons.eye_f colorString size, "eye_f" )
    , ( R10.Svg.Icons.eye_l colorString size, "eye_l" )
    , ( R10.Svg.Icons.favorite_f colorString size, "favorite_f" )
    , ( R10.Svg.Icons.favorite_half_f colorString size, "favorite_half_f" )
    , ( R10.Svg.Icons.favorite_l colorString size, "favorite_l" )
    , ( R10.Svg.Icons.ferry_f colorString size, "ferry_f" )
    , ( R10.Svg.Icons.ferry_l colorString size, "ferry_l" )
    , ( R10.Svg.Icons.fill_color_f colorString size, "fill_color_f" )
    , ( R10.Svg.Icons.fill_color_l colorString size, "fill_color_l" )
    , ( R10.Svg.Icons.folder_f colorString size, "folder_f" )
    , ( R10.Svg.Icons.folder_l colorString size, "folder_l" )
    , ( R10.Svg.Icons.gift_f colorString size, "gift_f" )
    , ( R10.Svg.Icons.gift_l colorString size, "gift_l" )
    , ( R10.Svg.Icons.heart_f colorString size, "heart_f" )
    , ( R10.Svg.Icons.heart_l colorString size, "heart_l" )
    , ( R10.Svg.Icons.home_f colorString size, "home_f" )
    , ( R10.Svg.Icons.home_l colorString size, "home_l" )
    , ( R10.Svg.Icons.image_f colorString size, "image_f" )
    , ( R10.Svg.Icons.image_l colorString size, "image_l" )
    , ( R10.Svg.Icons.keyboard_f colorString size, "keyboard_f" )
    , ( R10.Svg.Icons.keyboard_l colorString size, "keyboard_l" )
    , ( R10.Svg.Icons.language_f colorString size, "language_f" )
    , ( R10.Svg.Icons.language_l colorString size, "language_l" )
    , ( R10.Svg.Icons.laptop_f colorString size, "laptop_f" )
    , ( R10.Svg.Icons.laptop_l colorString size, "laptop_l" )
    , ( R10.Svg.Icons.like_f colorString size, "like_f" )
    , ( R10.Svg.Icons.like_l colorString size, "like_l" )
    , ( R10.Svg.Icons.list_f colorString size, "list_f" )
    , ( R10.Svg.Icons.list_l colorString size, "list_l" )
    , ( R10.Svg.Icons.loading_l colorString size, "loading_l" )
    , ( R10.Svg.Icons.location_f colorString size, "location_f" )
    , ( R10.Svg.Icons.location_l colorString size, "location_l" )
    , ( R10.Svg.Icons.login_l colorString size, "login_l" )
    , ( R10.Svg.Icons.logout_l colorString size, "logout_l" )
    , ( R10.Svg.Icons.lucky_kuji_f colorString size, "lucky_kuji_f" )
    , ( R10.Svg.Icons.lucky_kuji_l colorString size, "lucky_kuji_l" )
    , ( R10.Svg.Icons.mail_f colorString size, "mail_f" )
    , ( R10.Svg.Icons.mail_l colorString size, "mail_l" )
    , ( R10.Svg.Icons.map_f colorString size, "map_f" )
    , ( R10.Svg.Icons.map_l colorString size, "map_l" )
    , ( R10.Svg.Icons.menu colorString size, "menu" )
    , ( R10.Svg.Icons.minus colorString size, "minus" )
    , ( R10.Svg.Icons.mobile_phone_f colorString size, "mobile_phone_f" )
    , ( R10.Svg.Icons.mobile_phone_l colorString size, "mobile_phone_l" )
    , ( R10.Svg.Icons.movie_f colorString size, "movie_f" )
    , ( R10.Svg.Icons.movie_l colorString size, "movie_l" )
    , ( R10.Svg.Icons.new_user_f colorString size, "new_user_f" )
    , ( R10.Svg.Icons.new_window_l colorString size, "new_window_l" )
    , ( R10.Svg.Icons.notice_generic_f colorString size, "notice_generic_f" )
    , ( R10.Svg.Icons.notice_generic_l colorString size, "notice_generic_l" )
    , ( R10.Svg.Icons.notice_user_f colorString size, "notice_user_f" )
    , ( R10.Svg.Icons.notice_user_l colorString size, "notice_user_l" )
    , ( R10.Svg.Icons.paint_f colorString size, "paint_f" )
    , ( R10.Svg.Icons.paint_l colorString size, "paint_l" )
    , ( R10.Svg.Icons.paper_plane_f colorString size, "paper_plane_f" )
    , ( R10.Svg.Icons.paper_plane_l colorString size, "paper_plane_l" )
    , ( R10.Svg.Icons.pdf_f colorString size, "pdf_f" )
    , ( R10.Svg.Icons.pdf_l colorString size, "pdf_l" )
    , ( R10.Svg.Icons.phone_f colorString size, "phone_f" )
    , ( R10.Svg.Icons.phone_l colorString size, "phone_l" )
    , ( R10.Svg.Icons.photograph_f colorString size, "photograph_f" )
    , ( R10.Svg.Icons.photograph_l colorString size, "photograph_l" )
    , ( R10.Svg.Icons.pin_f colorString size, "pin_f" )
    , ( R10.Svg.Icons.pin_l colorString size, "pin_l" )
    , ( R10.Svg.Icons.plane_f colorString size, "plane_f" )
    , ( R10.Svg.Icons.plane_l colorString size, "plane_l" )
    , ( R10.Svg.Icons.plus colorString size, "plus" )
    , ( R10.Svg.Icons.point_f colorString size, "point_f" )
    , ( R10.Svg.Icons.point_l colorString size, "point_l" )
    , ( R10.Svg.Icons.price_f colorString size, "price_f" )
    , ( R10.Svg.Icons.price_l colorString size, "price_l" )
    , ( R10.Svg.Icons.print_f colorString size, "print_f" )
    , ( R10.Svg.Icons.print_l colorString size, "print_l" )
    , ( R10.Svg.Icons.purchase_history_f colorString size, "purchase_history_f" )
    , ( R10.Svg.Icons.purchase_history_l colorString size, "purchase_history_l" )
    , ( R10.Svg.Icons.qrcode_f colorString size, "qrcode_f" )
    , ( R10.Svg.Icons.qrcode_l colorString size, "qrcode_l" )
    , ( R10.Svg.Icons.rakuten_account_f colorString size, "rakuten_account_f" )
    , ( R10.Svg.Icons.rakuten_account_l colorString size, "rakuten_account_l" )
    , ( R10.Svg.Icons.rakuten_registration_f colorString size, "rakuten_registration_f" )
    , ( R10.Svg.Icons.rakuten_registration_l colorString size, "rakuten_registration_l" )
    , ( R10.Svg.Icons.ranking_f colorString size, "ranking_f" )
    , ( R10.Svg.Icons.ranking_l colorString size, "ranking_l" )
    , ( R10.Svg.Icons.refresh colorString size, "refresh" )
    , ( R10.Svg.Icons.review_comment_f colorString size, "review_comment_f" )
    , ( R10.Svg.Icons.review_comment_l colorString size, "review_comment_l" )
    , ( R10.Svg.Icons.review_edit_f colorString size, "review_edit_f" )
    , ( R10.Svg.Icons.review_edit_l colorString size, "review_edit_l" )
    , ( R10.Svg.Icons.rss_symbol_l colorString size, "rss_symbol_l" )
    , ( R10.Svg.Icons.rss_text_f colorString size, "rss_text_f" )
    , ( R10.Svg.Icons.rss_text_l colorString size, "rss_text_l" )
    , ( R10.Svg.Icons.save_f colorString size, "save_f" )
    , ( R10.Svg.Icons.save_l colorString size, "save_l" )
    , ( R10.Svg.Icons.search_history_f colorString size, "search_history_f" )
    , ( R10.Svg.Icons.search_history_l colorString size, "search_history_l" )
    , ( R10.Svg.Icons.search colorString size, "search" )
    , ( R10.Svg.Icons.security_f colorString size, "security_f" )
    , ( R10.Svg.Icons.security_l colorString size, "security_l" )
    , ( R10.Svg.Icons.server_f colorString size, "server_f" )
    , ( R10.Svg.Icons.server_l colorString size, "server_l" )
    , ( R10.Svg.Icons.settings_f colorString size, "settings_f" )
    , ( R10.Svg.Icons.settings_l colorString size, "settings_l" )
    , ( R10.Svg.Icons.share_f colorString size, "share_f" )
    , ( R10.Svg.Icons.share_l colorString size, "share_l" )
    , ( R10.Svg.Icons.shop_f colorString size, "shop_f" )
    , ( R10.Svg.Icons.shop_l colorString size, "shop_l" )
    , ( R10.Svg.Icons.sign_ban_f colorString size, "sign_ban_f" )
    , ( R10.Svg.Icons.sign_ban_l colorString size, "sign_ban_l" )
    , ( R10.Svg.Icons.sign_help_f colorString size, "sign_help_f" )
    , ( R10.Svg.Icons.sign_help_l colorString size, "sign_help_l" )
    , ( R10.Svg.Icons.sign_info_f colorString size, "sign_info_f" )
    , ( R10.Svg.Icons.sign_info_l colorString size, "sign_info_l" )
    , ( R10.Svg.Icons.sign_warning_f colorString size, "sign_warning_f" )
    , ( R10.Svg.Icons.sign_warning_l colorString size, "sign_warning_l" )
    , ( R10.Svg.Icons.sliders_f colorString size, "sliders_f" )
    , ( R10.Svg.Icons.sliders_l colorString size, "sliders_l" )
    , ( R10.Svg.Icons.smartphone_f colorString size, "smartphone_f" )
    , ( R10.Svg.Icons.smartphone_l colorString size, "smartphone_l" )
    , ( R10.Svg.Icons.survey_f colorString size, "survey_f" )
    , ( R10.Svg.Icons.survey_l colorString size, "survey_l" )
    , ( R10.Svg.Icons.switch_language_f colorString size, "switch_language_f" )
    , ( R10.Svg.Icons.switch_language_l colorString size, "switch_language_l" )
    , ( R10.Svg.Icons.tablet_f colorString size, "tablet_f" )
    , ( R10.Svg.Icons.tablet_l colorString size, "tablet_l" )
    , ( R10.Svg.Icons.tag_f colorString size, "tag_f" )
    , ( R10.Svg.Icons.tag_l colorString size, "tag_l" )
    , ( R10.Svg.Icons.time_f colorString size, "time_f" )
    , ( R10.Svg.Icons.time_l colorString size, "time_l" )
    , ( R10.Svg.Icons.train_f colorString size, "train_f" )
    , ( R10.Svg.Icons.train_l colorString size, "train_l" )
    , ( R10.Svg.Icons.upload_f colorString size, "upload_f" )
    , ( R10.Svg.Icons.upload_l colorString size, "upload_l" )
    , ( R10.Svg.Icons.voice_input_f colorString size, "voice_input_f" )
    , ( R10.Svg.Icons.voice_input_l colorString size, "voice_input_l" )
    , ( R10.Svg.Icons.walking_f colorString size, "walking_f" )
    , ( R10.Svg.Icons.world_f colorString size, "world_f" )
    , ( R10.Svg.Icons.world_l colorString size, "world_l" )
    , ( R10.Svg.Icons.x colorString size, "x" )
    , ( R10.Svg.Icons.zip_f colorString size, "zip_f" )
    , ( R10.Svg.Icons.zip_l colorString size, "zip_l" )
    , ( R10.Svg.Icons.zoom_in_f colorString size, "zoom_in_f" )
    , ( R10.Svg.Icons.zoom_in_l colorString size, "zoom_in_l" )
    , ( R10.Svg.Icons.zoom_out_f colorString size, "zoom_out_f" )
    , ( R10.Svg.Icons.zoom_out_l colorString size, "zoom_out_l" )
    ]
